---
title: Update Users
url: https://docs.vultr.com/platform/other/users/manage-users/update-users
description: Learn how to modify user permissions, roles, and account access for team members on your Vultr account
publish_date: 2024-11-15T18:19:37.781610Z
last_updated: 2025-09-12T21:47:44.638316Z
---

# How to Update Vultr Account Users

Updating Vultr user account details involves changing their names, email, password, and permissions. Changing the information is necessary if the user's password is compromised or if you want to limit or add more permissions to their account

Follow this guide to update user details using the Vultr Console, API, or CLI.

=== "Vultr Console"

    1. Navigate to **Account** and select **Users** under **OTHER**.
    1. Identify the user from the list.

    1. Click the **Edit User** icon to edit the user details.

    1. Update the user's details and click **Update Profile**.

=== "Vultr API"

    1. Send a `GET` request to the [**Get Users** endpoint](https://www.vultr.com/api/#tag/users/operation/list-users) to view all users and note the target user ID.
    
        ```console
        $ curl "https://api.vultr.com/v2/users" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```    
   
    1. Send a `PATCH` request to the [**Update User** endpoint](https://www.vultr.com/api/#tag/users/operation/update-user) and specify the user ID to update the target user details.

        ```console
        $ curl "https://api.vultr.com/v2/users/{user-id}" \
            -X PATCH \
            -H "Authorization: Bearer ${VULTR_API_KEY}" \
            -H "Content-Type: application/json" \
            --data '{
                "name" : "{new_user_name}",
                "email" : "{new_user_email_address}",
                "password" : "{new_user_password}",
                "api_enabled" : true,
                "acls" : [
                    "manage_users",
                    "subscriptions_view",
                    "subscriptions",
                    "provisioning",
                    "billing",
                    "support",
                    "abuse",
                    "dns",
                    "upgrade",
                    "objstore",
                    "loadbalancer"
                ]
            }'
        ```

        Visit the [**Update User** endpoint](https://www.vultr.com/api/#tag/users/operation/update-user) to view additional attributes to add to your request.

=== "Vultr CLI"

    1. List all users and note the target user ID.

        ```console
        $ vultr-cli users list
        ```   
       
    1. Update the target user details by specifying the user ID.

        ```console
        $ vultr-cli users update <user-id> \
        --name="<new_user_name>" \
        --email="<new_user_email_address>" \
        --password="<new_user_password>" \
        --api-enabled true \
        --acl="manage_users,subscriptions_view,subscriptions,provisioning,billing,support,abuse,dns,upgrade,objstore,loadbalancer"
        ```
    
        Run `vultr-cli users update --help`  to view additional available options.